#!/bin/bash

# SpringBoot profile: dev or production
PROFILE="default" # debug = h2 db
#PROFILE="prod"   # production = postgresql

JAVA_OPTS="-Xms128m -Xmx512m -Dspring.profiles.active=$PROFILE"

APP_CMD="java $JAVA_OPTS -jar doi-csv-trunk.jar --v=3"


if [ "$#" -eq  "0" ]
  then
    echo "missing project argument"
    exit 1
else
    PROJECT=$1
fi


# Process inputs (datasets and partial) CSV to generate DOI documents and landing pages:
$APP_CMD --action=process --project=$PROJECT

if [ $? -ne 0 ]; then
  echo "java process failed"
  exit 1
fi

